use bevy::prelude::*;
use bevy::window::PresentMode;

pub mod game_state;
pub mod assets;

fn setup_2d_camera(mut commands: Commands) {
    commands.spawn_bundle(OrthographicCameraBundle::new_2d());
}

fn main() {
    App::new()
        .insert_resource(ClearColor(Color::rgb(0.0, 0.0, 0.0)))
        .insert_resource(WindowDescriptor {
            title: "Bevy-Idle".to_string(),
            width: 1600.0,
            height: 900.0,
            present_mode: PresentMode::Immediate,
            ..WindowDescriptor::default()
        })
        .add_plugins(DefaultPlugins)
        .add_startup_system(setup_2d_camera)
        .add_plugin(game_state::logo::LogoPlugin)
        .run();
}
